Bug 907145 - prepare pnp4nagios integration into default config files
Summary: prepare pnp4nagios integration into default config files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Keiran Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-03 12:02 UTC by Florian La Roche
Modified: 2013-05-03 01:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-02 04:34:55 UTC


Attachments (Terms of Use)
nagios config file changes (2.23 KB, patch)
2013-02-03 12:02 UTC, Florian La Roche
no flags Details | Diff

Description Florian La Roche 2013-02-03 12:02:47 UTC
Created attachment 692283 [details]
nagios config file changes

Description of problem:
Please prepare the default nagios config files for easier
pnp4nagios integration.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jan ONDREJ 2013-02-03 13:53:31 UTC
Good idea, but it will be better to add:

cfg_dir=/etc/nagios/config.d

into nagios.conf and then I can add these commands directly to pnp4nagios package. Then no need to configure anything in nagios.conf.

Boys, what do you think?

Comment 2 Florian La Roche 2013-02-03 14:16:42 UTC
This would be even better, but then these items should be
removed from the default nagios.cfg, so there is no confusion
on where they get set.

best regards,

Florian La Roche

Comment 3 Fedora End Of Life 2013-04-03 14:54:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Jose Pedro Oliveira 2013-04-20 22:50:31 UTC
Just started looking into this again:

Current status:

 * nagios has been adding an unowned /etc/nagios/conf.d directory for quite
   a few years. Relevant changelog entries:

   ...
   * Tue Jul 10 2008 Robert M. Albrecht <romal@gmx.de> 3.0.3-6
   - disabled conf.d in nagios.conf for now
   ...
   * Tue Jul 01 2008 Robert M. Albrecht <romal@gmx.de> 3.0.3-3
   - Added Apache style conf.d
   - Added a working example config named internet.cfg
   - The object folder was created twice
   ...


 * $ rpm -qpl nagios-3.2.3-10.fc15.i686.rpm | grep /etc/nagios/conf.d
   /etc/nagios/conf.d/internet.cfg

 * $ rpm -qf /etc/nagios/conf.d
   file /etc/nagios/conf.d is not owned by any package

   $ rpm -qf /etc/nagios/conf.d/internet.cfg 
   nagios-3.4.4-1.el6.x86_64

Comment 5 Jose Pedro Oliveira 2013-04-20 23:21:18 UTC
I'm planning to reinstat the /etc/nagios/conf.d configuration directory in the next nagios build (most likely nagios-3.5.0-3). 

Plan:
 * make the nagios package own the /etc/nagios/conf.d directory
 * add cfg_dir=/etc/nagios/conf.d to the main nagios configuration file
 * ship the internet.cfg file as documentation (instead of placing it
   in /etc/nagios/conf.d)

Does anyone has reservations about the above plan?

tia,
jpo

Comment 6 Jan ONDREJ 2013-04-22 07:05:00 UTC
> Does anyone has reservations about the above plan?

Thanks. I think I can use this feature in pnp4nagios only in fedora 19 and higher.

Comment 7 Florian La Roche 2013-04-22 13:07:41 UTC
Sounds good. Looking forward to newer nagios rpms.

best regards,

Florian La Roche

Comment 8 Fedora Update System 2013-04-24 00:46:27 UTC
nagios-3.5.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagios-3.5.0-3.fc19

Comment 9 Fedora Update System 2013-04-24 00:47:44 UTC
nagios-3.5.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nagios-3.5.0-3.fc18

Comment 10 Fedora Update System 2013-04-24 16:41:44 UTC
Package nagios-3.5.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-3.5.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6517/nagios-3.5.0-3.fc19
then log in and leave karma (feedback).

Comment 11 Andrea Veri 2013-04-26 08:32:27 UTC
I assume this report is true for F18-F19, while EL5-EL6 do still ships Nagios configurations files on /etc/nagios/objects. Is there a plan to update the path on EPEL too? otherwise I can just add a switch between the two.

Comment 12 Jose Pedro Oliveira 2013-04-26 09:29:51 UTC
Andrea,

(In reply to comment #11)
> I assume this report is true for F18-F19, while EL5-EL6 do still ships
> Nagios configurations files on /etc/nagios/objects. Is there a plan to
> update the path on EPEL too? otherwise I can just add a switch between the
> two.

I reinstated support for the /etc/nagios/conf.d directory (see comment 5) in Fedora >= 18 and EPEL >= 6 (basically this change will only be available in the nagios 3.5.0 RPMS).  I've no plans in backporting it to EPEL5 (nagios 2.12 is to old).

/jpo

PS - You can track the EPEL6 RPMS (and give it karma points) here:
     https://admin.fedoraproject.org/updates/nagios-3.5.0-1.el6

Comment 13 Fedora Update System 2013-05-02 04:34:57 UTC
nagios-3.5.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-05-03 01:55:44 UTC
nagios-3.5.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.